/*
 * @Author: XianKaiQun
 * @Date: 2020-04-22 14:49:25
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-04-22 14:52:56
 * @Descripttion: 
 */

///欠费列表项
/// ```dart
/// class MyWidget extends SingleChildStatelessWidget {
///   MyWidget({Key key, Widget child}): super(key: key, child: child);
///
///   @override
///   Widget buildWithChild(BuildContext context, Widget child) {
///     return SomethingWidget(child: child);
///   }
/// }
class HouseBillsModel {
  String? houseId;
  num? arrearsFee;
  String? assetFullName;
  String? qrCodeUrl;

  HouseBillsModel({
    this.houseId,
    this.arrearsFee,
    this.assetFullName,
    this.qrCodeUrl,
  });

  HouseBillsModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    houseId = map['houseId'];
    arrearsFee = map['arrearsFee'];
    assetFullName = map['assetFullName'];
    qrCodeUrl = map['qrCodeUrl'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['houseId'] = this.houseId;
    json['arrearsFee'] = this.arrearsFee;
    json['assetFullName'] = this.assetFullName;
    json['qrCodeUrl'] = this.qrCodeUrl;

    return json;
  }
}
